GlueGen: com.jogamp.common.util.InterruptedRuntimeException Class Reference

GlueGen v2.6.0-rc-20250721 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | List of all members
com.jogamp.common.util.InterruptedRuntimeException Class Reference

Unchecked exception propagating an `InterruptedException` where handling of the latter is not desired. More...

Inheritance diagram for com.jogamp.common.util.InterruptedRuntimeException:
Collaboration diagram for com.jogamp.common.util.InterruptedRuntimeException:

## Public Member Functions

| InterruptedRuntimeException (final String message, final InterruptedException cause)
| Constructor attempts to `wrap` the given `InterruptedException` `cause` into a `SourcedInterruptedException`. More...
| InterruptedRuntimeException (final InterruptedException cause)
| Constructor attempts to `wrap` the given `InterruptedException` `cause` into a `SourcedInterruptedException`. More...
InterruptedException | getCause ()
| Returns the propagated `InterruptedException`, i.e. More...
Public Member Functions inherited from com.jogamp.common.JogampRuntimeException
| JogampRuntimeException ()
| Constructs a JogampRuntimeException object. More...
| JogampRuntimeException (final String message)
| Constructs a JogampRuntimeException object with the specified detail message. More...
| JogampRuntimeException (final String message, final Throwable cause)
| Constructs a JogampRuntimeException object with the specified detail message and root cause. More...
| JogampRuntimeException (final Throwable cause)
| Constructs a JogampRuntimeException object with the specified root cause. More...

## Detailed Description

Unchecked exception propagating an `InterruptedException` where handling of the latter is not desired.

`InterruptedRuntimeException` may be thrown either by waiting for any `Runnable` to be completed, or during its execution.

The propagated `InterruptedException` may be of type `SourcedInterruptedException`.

Definition at line 47 of file InterruptedRuntimeException.java.

## Constructor & Destructor Documentation

## ◆ InterruptedRuntimeException() [1/2]

com.jogamp.common.util.InterruptedRuntimeException.InterruptedRuntimeException | ( | final String | message,
|  | final InterruptedException | cause
| ) |  |

Constructor attempts to `wrap` the given `InterruptedException` `cause` into a `SourcedInterruptedException`.

Parameters

  message | the message of this exception
  cause | the propagated `InterruptedException`

Definition at line 56 of file InterruptedRuntimeException.java.

Here is the call graph for this function:

## ◆ InterruptedRuntimeException() [2/2]

com.jogamp.common.util.InterruptedRuntimeException.InterruptedRuntimeException | ( | final InterruptedException | cause | ) |

Constructor attempts to `wrap` the given `InterruptedException` `cause` into a `SourcedInterruptedException`.

Parameters

  cause | the propagated `InterruptedException`

Definition at line 66 of file InterruptedRuntimeException.java.

Here is the call graph for this function:

## Member Function Documentation

## ◆ getCause()

InterruptedException com.jogamp.common.util.InterruptedRuntimeException.getCause | ( |  | ) |

Returns the propagated `InterruptedException`, i.e.

the cause of this exception.

Definition at line 77 of file InterruptedRuntimeException.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/common/util/InterruptedRuntimeException.java